---
api: 'Merchant API'
---

# Retrieve all payment methods of a customer (Deprecated)

Retrieve all the payment methods for a specific customer. 

This can be useful in the following example cases:

- To show what information is stored for the customer.
- To try a different payment method if the first payment method fails when a recurring transaction occurs.

## Endpoint

GET `/api/1.0/customers/{customer_id}/payment-methods`

> This endpoint is **deprecated**.

## Parameters

### query parameters

- `only_merchant` (boolean, optional)
  If `only_merchant` is set to `true`, you retrieve the payment methods
  that were saved for the merchant (`saved_for: "MERCHANT"`).
  
  To use this parameter insert it at the end of the request URL. See this example for a request URL in Production environment: 
  
    ```curl
    https://merchant.revolut.com/api/1.0/customers/{customer_id}/payment-methods?only_merchant=true
    ```

## Returns

### 200

OK

#### Response attributes


## Error responses

| HTTP status code | Description |
| --- | --- |
| 401 | Unauthorized |
| 404 | Not Found |
